Bug 1614996 - unixODBC-2.3.7 is available
Summary: unixODBC-2.3.7 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: unixODBC
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Raiskup
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-11 00:34 UTC by Upstream Release Monitoring
Modified: 2018-09-07 16:14 UTC (History)
5 users (show)

Fixed In Version: unixODBC-2.3.7-1.fc28
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-07 16:14:27 UTC
Type: ---


Attachments (Terms of Use)

Description Upstream Release Monitoring 2018-08-11 00:34:24 UTC
Latest upstream release: 2.3.7pre
Current version/release in rawhide: 2.3.6-2.fc29
URL: http://www.unixodbc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/7344/

Comment 1 Upstream Release Monitoring 2018-08-11 13:55:00 UTC
Latest upstream release: 2.3.7
Current version/release in rawhide: 2.3.6-2.fc29
URL: http://www.unixodbc.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/7344/

Comment 2 Pavel Raiskup 2018-08-11 14:23:26 UTC
I fixed the anitya record so it now reads the versions from github.

The v2.3.7 added one symbol, and removed two internal symbols:
https://github.com/lurcher/unixODBC/commit/5d3999900bc2a80e2807c9f2111cec6b57970a56#diff-4da36a3d2f61565dd4caf04f2fa1300bL156

No soname bump, update should be safe.

Comment 3 Fedora Update System 2018-08-11 15:00:44 UTC
unixODBC-2.3.7-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e8533a3ef1

Comment 4 Fedora Update System 2018-08-11 15:01:10 UTC
unixODBC-2.3.7-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9565c0bc9a

Comment 5 Fedora Update System 2018-08-14 20:35:58 UTC
unixODBC-2.3.7-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e8533a3ef1

Comment 6 Fedora Update System 2018-08-14 22:41:13 UTC
unixODBC-2.3.7-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9565c0bc9a

Comment 7 Fedora Update System 2018-09-07 16:14:27 UTC
unixODBC-2.3.7-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.